@echo off
prompt $$$S
echo.
echo Executing TidyWhiteInstall.cmd
echo.
echo %~f0

set file=TidyWhite.exe
if exist %file% goto :copy
set file=TidyWhite.html
if not exist %file% goto :missing
set file=TidyWhiteInstall.cmd
if not exist %file% goto :missing
set file=TidyWhiteAdd.reg
if not exist %file% goto :missing
set file=TidyWhiteDelete.reg
if not exist %file% goto :missing

:missing

echo.
echo Missing the %file% file!
echo.
echo TidyWhiteInstall.cmd assumes all release files:
echo TidyWhite.exe, TidyWhite.html, 
echo TidyWhiteInstall.cmd, TidyWhiteAdd.reg, and TidyWhiteDelete.reg
echo are in the same directory to copy to the install location!

echo.
pause
goto :eof

:copy

set d=%USERPROFILE%\Documents\TidyWhite
set p=%d%\TidyWhite.exe

rem If they execute from the install directory then reg only
if %CD% == %D% goto :regonly

echo.
echo Clear any previous TidyWhite release files from the Documents directory
rd /s /q "%d%"

if not exist "%p%" goto :makenew

echo.
echo Old "%p%" busy!
echo Cannot complete install!
echo.
pause
goto :eof

:makenew

echo.
echo Place new TidyWhite release files in the %d% directory

echo.
echo Make new directory and add files
md "%d%"

xcopy /y *.* "%d%"

:regonly

echo.
echo Execute the TidyWhiteAdd.reg file

regedit.exe /s TidyWhiteDelete.reg
regedit.exe /s TidyWhiteAdd.reg

echo.
echo Finished.

echo.
pause
